Package org.h2.command.dml

# Class Help

java.lang.Object
org.h2.command.Prepared
org.h2.command.dml.Help

public class Help extends Prepared
This class represents the statement CALL.

## Field Summary

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

## Constructor Summary

Constructors
Constructor
Description
`Help(SessionLocal session, String[] conditions)`

## Method Summary

Modifier and Type
Method
Description
`static ResultSet`
`getTable()`
Returns HELP table.
`int`
`getType()`
Get the command type as defined in CommandInterface
`boolean`
`isCacheable()`
`boolean`
`isQuery()`
Check if this object is a query.
`boolean`
`isReadOnly()`
Check if this command is read only.
`boolean`
`isTransactional()`
Check if this command is transactional.
`static String`
`processHelpText(String s)`
Sanitize value read from csv file (i.e.
`ResultInterface`
`query(long maxrows)`
Execute the query.
`ResultInterface`
`queryMeta()`
Get an empty result set containing the meta data.
`static String`
`stripAnnotationsFromSyntax(String s)`
Strip out the special annotations we use to help build the railroad/BNF diagrams

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCurrentRowNumber, getDatabase, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, isRetryable, isWithParamValues, needRecompile, prepare, setCommand, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Help

public Help(SessionLocal session, String[] conditions)

## Method Details

### queryMeta

public ResultInterface queryMeta()
Description copied from class: `Prepared`
Get an empty result set containing the meta data.

Specified by:
  `queryMeta` in class `Prepared`
Returns:
  the result set

### query

public ResultInterface query(long maxrows)
Description copied from class: `Prepared`
Execute the query.

Overrides:
  `query` in class `Prepared`
Parameters:
  `maxrows` - the maximum number of rows to return
Returns:
  the result set

### stripAnnotationsFromSyntax

public static String stripAnnotationsFromSyntax(String s)
Strip out the special annotations we use to help build the railroad/BNF diagrams

Parameters:
  `s` - to process
Returns:
  cleaned text

### processHelpText

public static String processHelpText(String s)
Sanitize value read from csv file (i.e. help.csv)

Parameters:
  `s` - text to process
Returns:
  text without wrapping quotes and trimmed

### getTable

public static ResultSet getTable() throws IOException
Returns HELP table.

Returns:
  HELP table with columns SECTION,TOPIC,SYNTAX,TEXT
Throws:
  `IOException` - on I/O exception

### isQuery

public boolean isQuery()
Description copied from class: `Prepared`
Check if this object is a query.

Overrides:
  `isQuery` in class `Prepared`
Returns:
  true if it is

### isTransactional

public boolean isTransactional()
Description copied from class: `Prepared`
Check if this command is transactional. If it is not, then it forces the current transaction to commit.

Specified by:
  `isTransactional` in class `Prepared`
Returns:
  true if it is

### isReadOnly

public boolean isReadOnly()
Description copied from class: `Prepared`
Check if this command is read only.

Overrides:
  `isReadOnly` in class `Prepared`
Returns:
  true if it is

### getType

public int getType()
Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type

### isCacheable

public boolean isCacheable()

Overrides:
  `isCacheable` in class `Prepared`